View Issue Details

IDProjectCategoryView StatusLast Update
0003912FreeCADBugpublic2019-09-05 21:49
Reporterdaviddavid Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target VersionFixed in Version0.19 
Summary0003912: freecad 0.18 fails to build against Python3 and Qt5
DescriptionHi,

I tried on Mageia Cauldron to build latest freecad against Qt5 and Python3 but it fails to build with the following error:


PyTools.c.o CMakeFiles/FreeCADBase.dir/PreCompiled.cpp.o /usr/lib64/libpython3.7m.so /usr/lib64/libxerces-c.so /usr/lib64/libboost_filesystem.so /usr/lib64/libboost_program_options.so /usr/lib64/libboost_regex.so /usr/lib64/libboost_system.so -lboost_thread -lpthread /usr/lib64/libboost_chrono.so /usr/lib64/libboost_date_time.so /usr/lib64/libboost_atomic.so -lpthread /usr/lib64/libz.so /usr/lib64/libQt5Core.so.5.12.1 -lutil -ldl /usr/lib64/libzipios.so -lpython3.7  /usr/bin/ld: CMakeFiles/FreeCADBase.dir/ParameterPy.cpp.o:(.data.rel.ro._ZTVN2Py15PythonExtensionIN4Base14ParameterGrpPyEEE[_ZTVN2Py15PythonExtensionIN4Base14ParameterGrpPyEEE]+0x28): undefined reference to `Py::PythonExtensionBase::print(_IO_FILE*, int)' /usr/bin/ld: CMakeFiles/FreeCADBase.dir/ParameterPy.cpp.o:(.data.rel.ro._ZTVN4Base14ParameterGrpPyE[_ZTVN4Base14ParameterGrpPyE]+0x28): undefined reference to `Py::PythonExtensionBase::print(_IO_FILE*, int)' collect2: error: ld returned 1 exit status make[2]: *** [src/Base/CMakeFiles/FreeCADBase.dir/build.make:1242: lib/libFreeCADBase.so] Error 1 make[2]: Leaving directory '/home/david/mgarepo/freecad/BUILD/FreeCAD-0.18/build' make[1]: *** [CMakeFiles/Makefile2:686: src/Base/CMakeFiles/FreeCADBase.dir/all] Error 2 make[1]: *** Waiting for unfinished jobs....]

Attached full compile log.

Regards,
David
TagsNo tags attached.
FreeCAD Information

Activities

daviddavid

2019-03-20 09:32

reporter  

log.freecad (760,670 bytes)

Kunda1

2019-03-20 18:55

administrator   ~0012933

@daviddavid please post this to the Install/Compile sub-forum https://forum.freecadweb.org/viewforum.php?f=4

Thanks for your efforts to get FC built on Mageia

daviddavid

2019-03-21 04:51

reporter   ~0012938

Ok done for in the Install/Compile sub-forum, and sorry!

Kunda1

2019-03-26 10:04

administrator   ~0012957

@daviddavid please notate the ticket URL here so we can follow it ;)

daviddavid

2019-03-26 12:01

reporter   ~0012962

https://forum.freecadweb.org/viewtopic.php?f=4&t=35109

Kunda1

2019-09-05 21:49

administrator   ~0013547

Cauldron shows 0.18.3 is downloadable. Please follow their build scripts and patches in order to build on Mageia
http://sophie.zarb.org/rpms/91dd2ae67845aff61851569f95e0c4b4/files

Also consider using the Appimages (we have them for 0.18 and 0.19) see https://github.com/FreeCAD/FreeCAD/releases

Issue History

Date Modified Username Field Change
2019-03-20 09:32 daviddavid New Issue
2019-03-20 09:32 daviddavid File Added: log.freecad
2019-03-20 18:54 Kunda1 Description Updated View Revisions
2019-03-20 18:55 Kunda1 Status new => feedback
2019-03-20 18:55 Kunda1 Note Added: 0012933
2019-03-21 04:51 daviddavid Note Added: 0012938
2019-03-21 04:51 daviddavid Status feedback => new
2019-03-26 10:04 Kunda1 Note Added: 0012957
2019-03-26 10:05 Kunda1 Status new => feedback
2019-03-26 12:01 daviddavid Note Added: 0012962
2019-03-26 12:01 daviddavid Status feedback => new
2019-09-05 21:49 Kunda1 Status new => closed
2019-09-05 21:49 Kunda1 Resolution open => no change required
2019-09-05 21:49 Kunda1 Note Added: 0013547
2019-09-05 21:49 Kunda1 Resolution no change required => fixed
2019-09-05 21:49 Kunda1 Fixed in Version => 0.19